<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Enum;

final class QuoteStateEnum
{
    public const STATE_NEW = 'new';

    public const STATE_PROCESSING = 'processing';

    public const STATE_ACCEPTED = 'accepted';

    public const STATE_ACCEPTED_RESUPPLY = 'accepted_resupply';

    public const STATE_DENIED = 'denied';

    public const STATE_VALIDATED = 'validated';

    public const STATE_EXPIRED = 'expired';

    private function __construct()
    {
    }
}
