<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Modifier;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;

interface QuoteModifierInterface
{
    public function addToQuote(QuoteInterface $quote, QuoteItemInterface $quoteItem): void;

    public function removeFromQuote(QuoteInterface $quote, QuoteItemInterface $quoteItem): void;
}
